task featureCounts {
    File bam_file
    File lnc_gtf_file = "lncRNAKB_hg38_v7.gtf"
    String gtf_dir = "oss://pgx-reference-data/reference/subread/"
    String sample_id
    String docker
    String cluster


    
    command <<<
        featureCounts -T 4 -t exon -g gene_id -a $gtf_dir/$lnc_gtf_file -s 0 -p -o $sample_id.genefeaturecount.txt $bam_file
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd 200 /cromwell_root/"
    }

    output {
        File out_profile = "${sample_id}.genefeaturecount.txt"
        File out_summary = "${sample_id}.summary"
    }
}

